<?php
$elander_privacy_cookie = 0;
add_option('elander_privacy_cookie', $elander_privacy_cookie);
$elander_privacy_cookie = get_option('elander_privacy_cookie');

$elander_privacy_link = "";
add_option('elander_privacy_link', $elander_privacy_link);
$elander_privacy_link = get_option('elander_privacy_link');


function elander_privacy_page() { ?>
 
<div class="wrap">
<a href="http://elander.be/"><div id="elander-icon" style="background: url(<?php echo(EL_URL); ?>images/elander-icon_32.png) no-repeat;" class="icon32"><br /></div></a>
	<h2><?php _e("Privacy settings") ?></h2>
    <div class="postbox-container" style="width:65%;">
		<div class="metabox-holder">	
			<div class="meta-box-sortables">
  				<form method="post" action="options.php">
					<input type="hidden" name="action" value="update" />
					<input type="hidden" name="page_options" value="elander_privacy_cookie, elander_privacy_link" />
<?php 
wp_nonce_field('update-options');
   
 $line = '<table class="form-table">';
 $line .='  <tr>';
 $line .='  	<td valign="top">'. __('Ask for Cookie Consent:') .'</td>';
 $line .='      <td valign="top">';
 $line .='       	<input type="radio" name="elander_privacy_cookie" value="1" '; 
 $line .= get_option('elander_privacy_cookie') == '1' ? 'checked="checked"' : '' ;
 $line .='/> '.__('Yes').'<br />';
 $line .='        	<input type="radio" name="elander_privacy_cookie" value="0" '; 
 $line .= get_option('elander_privacy_cookie') == '0' ? 'checked="checked"' : '' ;
 $line .=' /> '. __('No').'<br />';
 $line .='      </td>';
 $line .=' </tr>';
 $line .='	<tr>';
 $line .='		<td valign="top">'.__('Privacy link:').'</td>';
 $line .='      <td valign="top">';
 $line .='         <input type="text" name="elander_privacy_link" value="'. get_option('elander_privacy_link') .'" /> ';
 $line .='      </td> ';
 $line .='  </tr>';
 $line .='</table>';
 $line .='<div class="alignright">';
 $line .='<input type="submit" class="button-primary" name="Submit" value="'.__('Save settings').'" />';
 $line .='</div><br class="clear">';

   
postbox('settings','eLander settings', $line);



?>
 </form>
  		</div>
	</div>
</div>
<div class="postbox-container side" style="width:20%;">
			<div class="metabox-holder">	
				<div class="meta-box-sortables">
<?php
// ELANDER MARKETING               
postbox('Marketing','<strong>'.__('Privacy settings').'</strong>','<p>'.sprintf( __('In addition to the  %1$seLander.be%2$s tool we can also offer on-line marketing consulting in order to improve your conversion and develop plug-inns to offer customized content based on your customers profile or on-line behavior.'), '<a href="http://eLander.be/#utm_source=wpadmin&utm_medium=sidebanner&utm_term=link&utm_campaign=elaplugin">', '</a>').'</p>'.'<p>'.__('Want to improve conversion on your website right now?').'</p>'.'<p><a class="button-secondary" href="http://elander.be/#utm_source=wpadmin&utm_medium=sidebanner&utm_term=button&utm_campaign=elaplugin">'.__('More information &raquo;').'</a></p>');

?>             
                
   </div>
</div>
</div>              
</div>

<?php
} // ends elander_options_page

if($elander_privacy_cookie==1){
	
global $elander_privacy_link;
	
function ela_privacy_scripts(){
	wp_enqueue_script('jquery');
	wp_enqueue_script('ela-cookies',  EL_URL.'js/cookies.js');
}
add_action( 'wp_enqueue_scripts', 'ela_privacy_scripts' );	

if(isset ($_COOKIE['ela_cookie'])<>1){
	$_COOKIE['ela_cookie'] ="empty";
	}
if($_COOKIE['ela_cookie']<>'accepted'){

function ela_cookies_scripts(){
wp_enqueue_style('ela-cookies', EL_URL. 'styles/cookies.css');
}
add_action( 'wp_enqueue_scripts', 'ela_cookies_scripts' );	

// However, if you would like to, you can <a href="/privacy/cookies/managing/cookie-settings.html">change your cookie settings</a> at any time. 
$cookies ='<!--googleoff: index-->';
$cookies .='<div id="elacookies">';
$cookies .='<div id="elacookies-wrap">';
$cookies .='<h2> Cookies on this website </h2>'; 
$cookies .='<p> We use cookies to ensure that we give you the best experience on our website. If you continue without changing your settings, we\'ll assume that you are happy to receive all cookies on this website.';
$cookies .='</p>'; 
$cookies .='<ul> <li id="elacookies-continue"> <button type="button" id="ela-continue-button">Continue</button> </li>';
if ($elander_privacy_link){
$cookies .='<li id="elacookies-more"><a href="'.$elander_privacy_link.'">Find out more</a></li>';	
}
$cookies .='</ul> </div> </div>';	
$cookies .='<!--googleon: index-->';

add_filter('shutdown','elander_shutdown',0);
function elander_shutdown() {
	global $cookies ;
	$insert =  $cookies ;
	$content = ob_get_clean();
	$content = preg_replace('#<body([^>]*)>#i',"<body$1>{$insert}",$content);
	echo $content;
}}
} // $elander_privacy_cookie
?>