<?php

/**
 * Create a potbox widget
 */
function postbox($id, $title, $content) {
		?>
			<div id="<?php echo $id; ?>" class="postbox">
				<div class="handlediv" title="Click to toggle"><br /></div>
				<h3 class="hndle"><span><?php echo $title; ?></span></h3>
				<div class="inside">
					<?php echo $content; ?>
				</div>
			</div>
		<?php
		}	

		
 



/**
 * Box with latest news from elander (crredits Yoast.com)
*/
		function news() {
			include_once(ABSPATH . WPINC . '/feed.php');
			$rss = fetch_feed('http://elander.be/category/article/feed');
			$rss_items = $rss->get_items( 0, $rss->get_item_quantity(5) );
			$content = '<ul class="newscenter">';
			if ( !$rss_items ) {
			    $content .= '<li class="yoast">'.__( 'No news items, feed might be broken...', 'gawp_yoast' ).'</li>';
			} else {
				foreach ( $rss_items as $item ) {
					$url = preg_replace( '/#.*/', '', esc_url( $item->get_permalink(), $protocolls=null, 'display' ) );
					$content .= '<li class="elander">';
					$content .= '<a class="rsswidget" href="'.$url.'#utm_source=wpadmin&utm_medium=RSSwidget&utm_term=newsitem&utm_campaign=elaplugin">'. esc_html( $item->get_title() ) .'</a> ';
					$content .= '</li>';
				}
			}
			$content .= '<li class="spacer"></li>';						
			$content .= '<li class="facebook"><a href="https://www.facebook.com/elander.be">'.__( 'Like eLander on Facebook').'</a></li>';
			$content .= '<li class="twitter"><a href="https://twitter.com/elandr">'.__( 'Follow eLander on Twitter' ).'</a></li>';
			$content .= '</ul>';
			postbox('news', __( 'News'), $content);
		}


?>