<?php
/*
Plugin Name: eLander
Plugin URI: http://wordpress.org/extend/plugins/elander/
Author: eLander
Version: 1.2.3
Author URI: http://eLander.be/
Description: Allows B2B WordPress users to take advantage of the visitor intelligence tools from <a href="http://eLander.be">eLander</a>.
*/


// Include files
//=============================================

define('EL_PATH', plugin_dir_path(__FILE__));
define('EL_URL', plugin_dir_url( __FILE__ ));
require EL_PATH . 'includes/functions.php';
require EL_PATH . 'includes/elander_dash_page.php';
require EL_PATH . 'includes/elander_privacy_page.php';
require EL_PATH . 'includes/elander_tracking_page.php';
require EL_PATH . 'includes/elander_about_page.php';




function ela_admin_styles() {
       	wp_enqueue_style('ela-css', EL_URL. 'ela_plugin.css');
   }
 add_action( 'admin_menu', 'ela_admin_styles' );



// CREATE MENU
//=============================================
function elander_add_amin_menu() {
//add_menu_page( $page_title, $menu_title, $capability, $menu_slug, $function, $icon_url, $position ); 	
//add_submenu_page( $parent_slug, $page_title, $menu_title, $capability, $menu_slug, $function ); 

global $submenu;

 add_menu_page('eLander', 'eLander', 'manage_options', 'el_menu', 'elander_dash_page', plugin_dir_url( __FILE__ ).'images/elander-icon_16.png');	
 add_submenu_page('el_menu','Privacy','Privacy','manage_options', 'el_privacy', 'elander_privacy_page');
 add_submenu_page('el_menu','Tracking','Tracking','manage_options', 'el_settings', 'elander_tracking_page');
 add_submenu_page('el_menu','About','About','manage_options', 'el_about', 'elander_about_page');
 
 $submenu['el_menu'][0][0] = 'Dashboard';     
}





add_action('admin_menu', 'elander_add_amin_menu');
