<?php


$elander_account_id_data = '';
add_option('elander_account_id', $elander_account_id_data);
$elander_account_id = get_option('elander_account_id');

$elander_admin_tracking_data = 0;
add_option('elander_admin_tracking', $elander_admin_tracking_data);
$elander_admin_tracking = get_option('elander_admin_tracking');


function elander_tracking_page() { ?>
 
<div class="wrap">
<a href="http://elander.be/"><div id="elander-icon" style="background: url(<?php echo(EL_URL); ?>images/elander-icon_32.png) no-repeat;" class="icon32"><br /></div></a>
	<h2><?php _e("Configuration tracking") ?></h2>
    <div class="postbox-container" style="width:65%;">
		<div class="metabox-holder">	
			<div class="meta-box-sortables">
  				<form method="post" action="options.php">
					<input type="hidden" name="action" value="update" />
					<input type="hidden" name="page_options" value="elander_account_id,elander_admin_tracking" />
<?php 
 wp_nonce_field('update-options');
   
 $line = '<table class="form-table">';
 $line .='	<tr>';
 $line .='		<td valign="top"><strong>'.__('eLander ID:').'</strong></td>';
 $line .='      <td valign="top">';
 $line .='         <input type="text" name="elander_account_id" value="'. get_option('elander_account_id') .'" /> ';
 $line .='      </td> ';
 $line .='  </tr>';
 $line .='  <tr>';
 $line .='  	<td valign="top">'. __('Track administrators:') .'</td>';
 $line .='      <td valign="top">';
 $line .='       	<input type="radio" name="elander_admin_tracking" value="1" '; 
 $line .= get_option('elander_admin_tracking') == '1' ? 'checked="checked"' : '' ;
 $line .='/> '.__('Yes').'<br />';
 $line .='        	<input type="radio" name="elander_admin_tracking" value="0" '; 
 $line .= get_option('elander_admin_tracking') == '0' ? 'checked="checked"' : '' ;
 $line .=' /> '. __('No').'<br />';
 $line .='      </td>';
 $line .=' </tr>';
 $line .='</table>';
 $line .='<div class="alignright">';
 $line .='<input type="submit" class="button-primary" name="Submit" value="'.__('Save settings').'" />';
 $line .='</div><br class="clear">';

   
postbox('settings','eLander settings', $line);

?>
  </form>
    
<?php

// YOUR REPORTS 
$box_content = sprintf( __('Take a look at %1$s your eLander reports %2$s'), '<a href="http://customer.elander.be/">', '</a>');
postbox('reports','Your reports',$box_content );								



?>
  		</div>
	</div>
</div>
<div class="postbox-container side" style="width:20%;">
			<div class="metabox-holder">	
				<div class="meta-box-sortables">
<?php
// ELANDER MARKETING               
postbox('Marketing','<strong>'.__('Online marketing support').'</strong>','<p>'.sprintf( __('In addition to the  %1$seLander.be%2$s tool we can also offer on-line marketing consulting in order to improve your conversion and develop plug-inns to offer customized content based on your customers profile or on-line behavior.'), '<a href="http://eLander.be/#utm_source=wpadmin&utm_medium=sidebanner&utm_term=link&utm_campaign=elaplugin">', '</a>').'</p>'.'<p>'.__('Want to improve conversion on your website right now?').'</p>'.'<p><a class="button-secondary" href="http://elander.be/#utm_source=wpadmin&utm_medium=sidebanner&utm_term=button&utm_campaign=elaplugin">'.__('More information &raquo;').'</a></p>');

?>             
                
   </div>
</div>
</div>              
</div>

<?php
} // ends elander_options_page

function get_elander_code() {
  global $elander_account_id;

  $elacode = "". "\n";
  $elacode .= '<!-- eLander.be start-->' . "\n";
  $elacode .= '<script src="//trc1.elander.be/ela.js" type="text/javascript"></script>' . "\n";
  $elacode .= '<script type="text/javascript">' . "\n"; 
  $elacode .= '// eLander for WordPress by eLander | https://elander.be/wordpress/' . "\n"; 
  $elacode .= 'try {' . "\n"; 
  $elacode .= 'var me = ("' . $elander_account_id . '");' . "\n";
  $elacode .= 'track(me);'. "\n";
  $elacode .= '} catch(err) {}</script>' . "\n";  
  $elacode .= '<!-- eLander.be end -->' . "\n";

  return  $elacode;
} //get_elander_code


function print_elander_code() { 
  global $elander_account_id, $elander_admin_tracking;

  if ($elander_account_id && // account id is set
      (!current_user_can('edit_users') || $elander_admin_tracking) && // is not admin or admin tracking is set
	  !is_preview()) { // is not a preview
    echo get_elander_code();
  } 
} //print_elander_code



// Add actions
add_action('wp_footer', 'print_elander_code');

?>
